﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TransportCompanyContracts.BindingModels;
using TransportCompanyContracts.SearchModels;
using TransportCompanyContracts.ViewModels;

namespace TransportCompanyContracts.BusinessLogicsContracts
{
	public interface ITruckingLogic
	{
		List<TruckingViewModel>? ReadList(TruckingSearchModel? model);

		TruckingViewModel? ReadElement(TruckingSearchModel model);

		bool Create(TruckingBindingModel model);

		bool Update(TruckingBindingModel model);

		bool Delete(TruckingBindingModel model);
	}
}
